Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.vectorhighlight
Class FieldQuery

    java.lang.Object
      org.apache.lucene.search.vectorhighlight.FieldQuery

    public class FieldQuery

extends Object

FieldQuery breaks down query object into terms/phrases and keep them in QueryPhraseMap structure.

Nested Class Summary
`static class` | `FieldQuery.QueryPhraseMap`

Method Summary
`FieldQuery.QueryPhraseMap` | `getFieldTermMap(String fieldName, String term)`
`FieldQuery.QueryPhraseMap` | `searchPhrase(String fieldName, List<FieldTermStack.TermInfo> phraseCandidate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFieldTermMap

    public FieldQuery.QueryPhraseMap getFieldTermMap(String fieldName,
                                                     String term)

  Parameters:
    `fieldName` -
    `term` -
  Returns:
    QueryPhraseMap

### searchPhrase

    public FieldQuery.QueryPhraseMap searchPhrase(String fieldName,
                                                  List<FieldTermStack.TermInfo> phraseCandidate)

  Parameters:
    `fieldName` -
    `phraseCandidate` -
  Returns:
    QueryPhraseMap

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD